Comment 5 for bug 1597517

Alex King (ahex) wrote :

This is affecting me as well, on a few servers.

# cat /etc/apt/sources.list
#deb http://aptproxy.sitehost.co.nz/ubuntu precise main multiverse universe
deb http://nz.archive.ubuntu.com/ubuntu precise main multiverse universe restricted
deb http://archive.ubuntu.com/ubuntu precise main multiverse universe restricted
deb http://archive.ubuntu.com/ubuntu precise-security main multiverse universe restricted

# apt-get upgrade
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages have been kept back:
  linux-headers-server linux-image-server linux-server
0 upgraded, 0 newly installed, 0 to remove and 3 not upgraded.

# apt-get install linux-headers-3.2.0-105-generic
Reading package lists... Done
Building dependency tree
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 linux-headers-3.2.0-105-generic : Depends: linux-headers-3.2.0-105 but it is not installable
E: Unable to correct problems, you have held broken packages.

# dpkg --get-selections|grep -v install$
#

# apt-get install linux-headers-3.2.0-105
Reading package lists... Done
Building dependency tree
Reading state information... Done
Package linux-headers-3.2.0-105 is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source

E: Package 'linux-headers-3.2.0-105' has no installation candidate